Добро пожаловать в форум, Guest  >>   Войти | Регистрация | Поиск | Правила | В избранное | Подписаться
Все форумы / Microsoft SQL Server Новый топик    Ответить
 Ошибка 948 при аттаче  [new]
blackangel
Member

Откуда:
Сообщений: 29
Есть два сервера 2008 и 2005(sp3). На 2008-м есть база, которой устанавливаю Compatibility level: sql2005, делаю ее офф-лайн и потом на 2005-м SQL пытаюсь ее приаттачить, но пишет ошибку:
The database $$$ саnnot be opened because it is version 655. This server supports version 611 or earlier. A downgrade path is not supported.

В чем же дело, почему? Я же уровень совместимости понизил с 2008 до 2005!
Кто сталкивался, подскажите пожалуйста.
17 окт 09, 18:48    [7800540]     Ответить | Цитировать Сообщить модератору
 Re: Ошибка 948 при аттаче  [new]
locky
Member

Откуда: Харьков, Украина
Сообщений: 62034
Уровень совместимости не имеет никакого отношения к тому, к каким версиям можно присоединить БД.
Присоединять можно только снизу вверх, но не наоборот.
В обратную сторону идти можно только экспортом/импортом объектов/данных.

-------------------------
There’s no silver bullet!
17 окт 09, 18:50    [7800544]     Ответить | Цитировать Сообщить модератору
 Re: Ошибка 948 при аттаче  [new]
Гавриленко Сергей Алексеевич
Member

Откуда: Moscow
Сообщений: 36799
Уровень совместимости влияет на поддерживаемый синтаксис, и все.
17 окт 09, 19:29    [7800606]     Ответить | Цитировать Сообщить модератору
 Re: Ошибка 948 при аттаче  [new]
blackangel
Member

Откуда:
Сообщений: 29
Спасибо!
Не обрадовали(
17 окт 09, 19:34    [7800617]     Ответить | Цитировать Сообщить модератору
Все форумы / Microsoft SQL Server Ответить